Authenticatie
Stuur een API-sleutel mee als bearer token. Dit eindpunt vermeldt geen specifieke toestemming in de specificatie, dus geef uw sleutel de minimale rechten die nodig zijn en controleer het antwoord in plaats van zomaar wat aan te nemen.
Dit eindpunt vereist geen organisatie-id. Uw sleutel identificeert al de organisatie waartoe deze behoort, en het antwoord is hierop afgestemd.
Probeer het
Vervang alles tussen punthaakjes door uw eigen waarden en de sleutelplaatsvervanger door een sleutel uit uw dashboard.
curl -X GET https://api.zinndigital.com/v1/plugins/{slug} \
-H "Authorization: Bearer zdk_live_…"Ingelogd? De API-console in je dashboard vult je echte organisatie-id en je eigen sleutel in, en voert het verzoek uit tegen de live API zodat je de daadwerkelijke respons kunt zien. Open dit eindpunt in de API-console
Details
Public and unauthenticated. A plugin we publish no release of is a `404`.
Parameters
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
slug (path) | string | Ja | The plugin's directory name and text domain, e.g. `zinn-cache`. |
Reactie
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
kind | string<wordpress_plugin, whmcs_module, hostbill_module, generic_client> | Ja | What this is, and therefore where it is installed. `wordpress_plugin` goes in `wp-content/plugins`; `whmcs_module` in a WHMCS install's `modules/servers/`; `hostbill_module` in… |
slug | string | Ja | The archive's directory name, e.g. `zinn-cache` or `zinn-whmcs`. |
name | string | Ja | — |
version | string | Ja | — |
package_sha256 | string | Ja | Lowercase hex SHA-256 of the archive. The value `downloadPlugin` returns in `X-Zinn-Package-SHA256`, and the one the plugin's own updater checks a download against before WordPr… |
package_bytes | integer | Ja | — |
requires_wp | string | Nee | — |
requires_php | string | Nee | — |
tested_wp | string | Nee | The WordPress version this release was installed and activated against before it was published — a real test on a real install, not an estimate. Empty means we have not stated o… |
changelog | string | Nee | — |
homepage | string | Nee | — |
distribution | string<public, app-only> | Nee | Who may download this plugin. `public` — anyone, no account needed, and it is also listed on https://zinndigital.com/wordpress-plugins. `app-only` — signed-in customers only; it… |
published_at | string | Nee | — |
Fouten die dit eindpunt kan retourneren
404 · 429